commit:     1d39f31bc45d3e0627ed1a58e17236024f18d78e
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 19 14:15:15 2020 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sun Jul 19 14:15:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1d39f31b

app-editors/pyvim: new ebuild.

pyvim is an implementation of Vim in Python.

Package-Manager: Portage-2.3.99, Repoman-2.3.23
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-editors/pyvim/Manifest           |  1 +
 app-editors/pyvim/metadata.xml       | 16 +++++++++++++++
 app-editors/pyvim/pyvim-3.0.2.ebuild | 39 ++++++++++++++++++++++++++++++++++++
 3 files changed, 56 insertions(+)

diff --git a/app-editors/pyvim/Manifest b/app-editors/pyvim/Manifest
new file mode 100644
index 00000000000..ed95aecc3d8
--- /dev/null
+++ b/app-editors/pyvim/Manifest
@@ -0,0 +1 @@
+DIST pyvim-3.0.2.tar.gz 35227 BLAKE2B 
8edc2218b3a0f2ba922531b75f65a5273ad9a2697f72ecf994cf7d2406c6311c3f28b22b6adb1243150a90db74962256ceaa7cf47ec99c2388299742451d6efb
 SHA512 
da961342ba52e5beca44a607cbb923953388e8674409db9ca2b152017eeedce84f92e42a9f6d0e5019c5c4d88d82f4a987cb378f311cf84a169cefa54dc5efce

diff --git a/app-editors/pyvim/metadata.xml b/app-editors/pyvim/metadata.xml
new file mode 100644
index 00000000000..318dcc191ea
--- /dev/null
+++ b/app-editors/pyvim/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Vim Project</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrice Clement</name>
+       </maintainer>
+       <upstream>
+               <remote-id type="pypi">pyvim</remote-id>
+               <remote-id type="github">prompt-toolkit/pyvim</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/app-editors/pyvim/pyvim-3.0.2.ebuild 
b/app-editors/pyvim/pyvim-3.0.2.ebuild
new file mode 100644
index 00000000000..f0ba40a9fbc
--- /dev/null
+++ b/app-editors/pyvim/pyvim-3.0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of Vim in Python"
+HOMEPAGE="https://pypi.org/project/pyvim 
https://github.com/prompt-toolkit/pyvim";
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       app-eselect/eselect-vi
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/docopt[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+       dev-python/pyflakes[${PYTHON_USEDEP}]
+       dev-python/pygments[${PYTHON_USEDEP}]
+       dev-python/prompt_toolkit[${PYTHON_USEDEP}]"
+
+eselect_vi_update() {
+       einfo "Calling eselect vi update..."
+       eselect vi update --if-unset
+       eend $?
+}
+
+pkg_postinst() {
+       eselect_vi_update
+}
+
+pkg_postrm() {
+       eselect_vi_update
+}

Reply via email to